Subject: Re: linux-next: manual merge of the mlx5-next tree with the rdma tree

From: Leon Romanovsky <[email-masked]>
Date: Wed, 21 Nov 2018 09:16:27 +0200

On Wed, Nov 21, 2018 at 11:04:32AM +1100, Stephen Rothwell wrote:
> Hi Leon,
>
> Today's linux-next merge of the mlx5-next tree got a conflict in:
>
>   drivers/infiniband/hw/mlx5/main.c
>
> between commit:
>
>   9afc97c29b03 ("mlx5: remove support for ib_get_vector_affinity")
>
> from the rdma tree and commit:
>
>   f2f3df550139 ("net/mlx5: EQ, Privatize eq_table and friends")
>
> from the mlx5-next tree.
>
> I fixed it up (the former removed some of the code modified by the latter)
> and can carry the fix as necessary. This is now fixed as far as linux-next
> is concerned, but any non trivial conflicts should be mentioned to your
> upstream maintainer when your tree is submitted for merging.  You may
> also want to consider cooperating with the maintainer of the conflicting
> tree to minimise any particularly complex conflicts.
>

Thanks Stephen,

You are absolutely right, the removal is correct.

> --
> Cheers,
> Stephen Rothwell